Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1490382 - change md5 to sha256
Summary: change md5 to sha256
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: stonevpn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Leon Keijser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 12:47 UTC by Nerijus Baliūnas
Modified: 2017-09-29 02:46 UTC (History)
1 user (show)

Fixed In Version: stonevpn-0.4.17-1.fc26 stonevpn-0.4.17-1.el7 stonevpn-0.4.17-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-20 22:53:28 UTC
Type: Bug


Attachments (Terms of Use)
app.py.diff (1.01 KB, patch)
2017-09-11 12:47 UTC, Nerijus Baliūnas
no flags Details | Diff

Description Nerijus Baliūnas 2017-09-11 12:47:54 UTC
Created attachment 1324453 [details]
app.py.diff

Certificates generated by stonevpn are using md5. The latest openvpn packages do not support md5 certs anymore. Attached patch changes md5 to sha256.

Comment 1 Fedora Update System 2017-09-12 11:41:00 UTC
stonevpn-0.4.17-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6f8503f2b1

Comment 2 Fedora Update System 2017-09-12 12:11:03 UTC
stonevpn-0.4.17-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-474ca9c973

Comment 3 Fedora Update System 2017-09-13 06:21:13 UTC
stonevpn-0.4.17-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-474ca9c973

Comment 4 Fedora Update System 2017-09-13 08:48:23 UTC
stonevpn-0.4.17-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6f8503f2b1

Comment 5 Nerijus Baliūnas 2017-09-13 08:52:32 UTC
Could you please release the update for EL6 too?

Comment 6 Leon Keijser 2017-09-13 16:06:31 UTC
Whoops, sorry. Forgot to include that. Will do it right away.

Comment 7 Fedora Update System 2017-09-13 16:09:28 UTC
stonevpn-0.4.17-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5b4789e5f6

Comment 8 Fedora Update System 2017-09-14 07:19:16 UTC
stonevpn-0.4.17-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5b4789e5f6

Comment 9 Fedora Update System 2017-09-20 22:53:28 UTC
stonevpn-0.4.17-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-09-28 18:20:09 UTC
stonevpn-0.4.17-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-09-29 02:46:41 UTC
stonevpn-0.4.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.